package org.xyzh.common.exception.auth;

import org.xyzh.common.exception.BaseException;

/**
 * @description    AuthException.java文件描述 认证异常类
 * @filename    AuthException.java
 * @author    yslg
 * @copyright xyzh
 * @since 2025-09-28
 */
public class AuthException extends BaseException {

    private static final long serialVersionUID = 1L;

    public AuthException(String message) {
        super(message);
    }

    public AuthException(String code, String message) {
        super(code, message);
    }

    public AuthException(String message, Throwable cause) {
        super(message, cause);
    }

    public AuthException(String code, String message, Throwable cause) {
        super(code, message, cause);
    }

    public String getCode() {
        return super.getCode();
    }

    public void setCode(String code) {
        super.setCode(code);
    }
}
